# Uses of Interface
org.opensaml.saml.ext.samlec.EncType

Packages that use EncType
Package
Description
org.opensaml.saml.ext.samlec
Interfaces for SAML-EC GSS-API Mechanism.
org.opensaml.saml.ext.samlec.impl
Implementation for SAML-EC GSS-API schema content.

## Uses of EncType in org.opensaml.saml.ext.samlec

Methods in org.opensaml.saml.ext.samlec that return types with arguments of type EncType
Modifier and Type
Method
Description
`List<EncType>`
SessionKey.`getEncTypes()`
Get the session key encryption typed.

## Uses of EncType in org.opensaml.saml.ext.samlec.impl

Classes in org.opensaml.saml.ext.samlec.impl that implement EncType
Modifier and Type
Class
Description
`class`
`EncTypeImpl`
Concrete implementation of `EncType`.
Fields in org.opensaml.saml.ext.samlec.impl with type parameters of type EncType
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<EncType>`
SessionKeyImpl.`encTypes`
EncType children.
Methods in org.opensaml.saml.ext.samlec.impl that return EncType
Modifier and Type
Method
Description
`EncType`
EncTypeBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`EncType`
EncTypeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.ext.samlec.impl that return types with arguments of type EncType
Modifier and Type
Method
Description
`List<EncType>`
SessionKeyImpl.`getEncTypes()`
Get the session key encryption typed.